<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
# This file is part of dcMailChimp, a plugin for Dotclear.
# 
# Copyright (c) 2012 Herve Piedvache
# http://twitter.com/#!/footcow
# 
# Licensed under the GPL version 2.0 license.
# A copy of this license is available in LICENSE file or at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_RC_PATH')) { 
    return; 
}

require dirname(__FILE__).'/_widgets.php';

class dcMailChimpWidget {
	private static $mcapi;

    // Widget function
    public static function widget(&$w)
    {
        global $core;

        $core->blog->settings->addNameSpace('dcmailchimp');
        $api_key = $core->blog->settings->dcmailchimp->get('dcmc_api_key');

        if ($w->homeonly && $core->url->type != 'default') {
            return;
        }

    	$merge_vars = array();
        $error = false;
		if (isset($_POST['dcmailchimp_email'])) {

			$subscribe_errors = '<div class="error">'  . $w->failure .  '</div>';
			
			if (!text::isEmail($_POST['dcmailchimp_email'])) {
				$error = true;
			}

            if (empty(self::$mcapi)) {
    			self::$mcapi = new MCAPI($api_key);
            } else {
                self::$mcapi = false;
            }

			if (self::$mcapi == false) {
				$error = true;
			}

            if ($error == false) {
    			$subscribed = self::$mcapi->listSubscribe($w->mailinglist, $_POST['dcmailchimp_email'], $merge_vars);

    			if ($subscribed == false) {
	    			$error = true;
		    	} else {
			    	$subscribe_errors = '';
    				$successful_signup = true;
	    			$signup_success_message = '<p>' . $w->success . '</p>';
		    	}	
            }
        }

        $out =
        '<div class="dcmailchimp">';

        if ($successful_signup) {
            $out .= $signup_success_message;

        } else {
            $out .= '   <h2>' . html::escapeHTML($w->title) . '</h2>';

            if (!$api_key) {
                $out .= '   <em>' . __('dcMailChimp is not configured') . '</em>';
            } else {
                $out .= '<form action="' . $_SERVER['REQUEST_URI'] . '" id="dcmailchimp_form" method="post">';
                $out .= $subscribe_errors;
                $out .= '<label for="dcmailchimp-email">' . __('Email Address:') . '</label>';
                $out .= '<input id="dcmailchimp-email" type="text" name="dcmailchimp_email" />';
                $out .= '<input class="button" type="submit" name="' . html::escapeHTML($w->signup) . '" value="' . html::escapeHTML($w->signup) . '" />';
                $out .= '</form>';
            }
        }

        $out .= '</div>';

        return $out;
    }
}
?>
