<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
# This file is part of dcMailChimp, a plugin for Dotclear.
# 
# Copyright (c) 2012 Herve Piedvache
# http://twitter.com/#!/footcow
# 
# Licensed under the GPL version 2.0 license.
# A copy of this license is available in LICENSE file or at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# -- END LICENSE BLOCK ------------------------------------
if (!defined('DC_RC_PATH')) { 
    return; 
}

require_once(dirname(__FILE__).'/inc/mcapi.class.php');

$core->addBehavior('initWidgets',array('dcMailChimpBehavior','initWidgets'));
$core->addBehavior('pluginBeforeDelete',array('dcMailChimpBehavior','uninstall'));

class dcMailChimpBehavior {
	private static $mcapi;

    public static function uninstall($plugin_id)
    {
        global $core;

        $core->blog->settings->addNameSpace('dcmailchimp');
        $tmp = array();

        foreach ($core->blog->settings->dcmailchimp->dumpSettings() as $k => $v) {
            $tmp[$v['ns']][$k] = $v;
        }
  
        foreach ($tmp as $ns => $s) {
            if ($ns === 'dcmailchimp') {
                foreach ($s as $k => $v) {
                    $core->blog->settings->dcmailchimp->drop($k);
                }
            }
            $core->blog->triggerBlog();
        }
    }


    public static function initWidgets(&$widgets)
    {
        global $core;

        $widgets->create('dcmailchimp', __('dcMailChimp'),
                         array('dcMailChimpWidget', 'widget'));

        $widgets->dcmailchimp->setting('title', __('Title:'), '');

        $api_key = $core->blog->settings->dcmailchimp->get('dcmc_api_key');
        $data = array();

        if (empty(self::$mcapi)) {
            self::$mcapi = new MCAPI($api_key);
            $lists = self::$mcapi->lists();
            foreach ($lists['data'] as $key => $value) {
                $data[$value['name']] = $value['id'];
            }
        } else  {
            self::$mcapi = false;
        }

        $widgets->dcmailchimp->setting('mailinglist', __('Select a Mailing List:'), 'list', 'combo', $data);

        $widgets->dcmailchimp->setting('signup', __('Sign Up Button Text:'), __('Join now!'));
        $widgets->dcmailchimp->setting('success', __('Success message:'), __('Thank you for joining our mailing list. Please check your email for a confirmation link.'));
        $widgets->dcmailchimp->setting('failure', __('Failure message:'), __('There was a problem processing your submission.'));
        $widgets->dcmailchimp->setting('homeonly', __('Home page only'), 1, 'check');
    }
}

?>