<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
# This file is part of dcMailChimp, a plugin for Dotclear.
# 
# Copyright (c) 2012 Herve Piedvache
# http://twitter.com/#!/footcow
# 
# Licensed under the GPL version 2.0 license.
# A copy of this license is available in LICENSE file or at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_CONTEXT_ADMIN')) { 
    return; 
}

$res = '';

$core->blog->settings->addNameSpace('dcmailchimp');

// First configuration
if (!$core->blog->settings->dcmailchimp->get('dcmc_api_key')) {
    $core->blog->settings->dcmailchimp->put('dcmc_api_key', _('here your API Key'), 'string', __('Enter your MailChimp API Key'));
    $core->blog->triggerBlog();
    http::redirect($p_url);
}

// Get the configuration value
if (!empty($_POST['dcmc']) && is_array($_POST['dcmc'])) {
    $core->blog->settings->dcmailchimp->put('dcmc_api_key', html::escapeHTML($_POST['dcmc']['dcmc_api_key']));
    $core->blog->triggerBlog();
    http::redirect($p_url.'&cfg=1');
}

// Used configuration value
$dcs['dcmc_api_key'] = $core->blog->settings->dcmailchimp->get('dcmc_api_key');
?>

<html>
<head>
    <title><?php echo __('dcMailChimp'); ?></title>
    <?php echo dcPage::jsPageTabs(0); ?>
</head>
<body>
<h2><?php echo html::escapeHTML($core->blog->name);?> &rsaquo; <?php echo __('dcMailChimp');?></h2>
<div id="settings" title="<?php echo __('Settings');?>" class="multi-part">
<?php
// Affichage d'un message d'erreur ou d'etat si defini.
if(!empty($_GET['cfg'])) {
?>
    <p class="message"><?php echo __('New configuration saved');?></p>
<?php
}
// Show edition form for configuration
?>
    <p><a style="background: url(index.php?pf=dcmailchimp/icon.png) no-repeat 0 0.25em; padding: 5px 0 5px 22px;" href="https://mailchimp.com/signup/"><?php echo __('Sign up on MailChimp');?></a></p>
    <form action="<?php echo $p_url;?>" method="post">
        <fieldset>
            <legend><?php echo __('Configuration');?></legend>
            <p><?php echo __("Enter a valid MailChimp API key here to get started. Once you've done that, you can use the MailChimp Widget from the Widgets menu. You will need to have at least MailChimp list set up before the using the widget.");?></p>
            <p><label><?php echo __('MailChimp Api Key'); echo form::field('dcmc[dcmc_api_key]', 40, 50, $dcs['dcmc_api_key']);?></label></p>
            <?php echo form::hidden(array('p'),'dcmailchimp') ?>
            <p><input type="submit" name="submit" value="<?php echo __('Save changes');?>" /><?php echo $core->formNonce();?></p>
        </fieldset>
    </form>
</div>

<div id="display" title="<?php echo __('Display');?>" class="multi-part">
    <h2><?php echo __('Display settings');?> :</h2>
    <p><?php echo __('You can set widget display by using the following classes in your style.css file');?> :</p>
    <ul style="list-style: none;">
        <li><strong>.dcmailchimp {}</strong> : <?php echo __('style for dcMailChimp widget');?>.</li>
        <li><strong>#dcmailchimp_form {}</strong> : <?php echo __('id of the MailChimp registration form widget');?>.</li>
        <li><strong>#dcmailchimp-email {}</strong> : <?php echo __('id of the MailChimp email field of the form');?>.</li>
    </ul>
</div>

<div id="about" title="<?php echo __('About');?>" class="multi-part">
    <h2 style="background: url(index.php?pf=dcmailchimp/icon.png) no-repeat 0 0.25em; padding: 5px 0 5px 22px; margin-left: 20px;"><?php echo __('dcMailChimp');?></h2>
    <ul style="list-style: none; line-height: 30px; font-weight: bold;">
<?php //print var_dump($core); ?>
        <li><?php echo sprintf(__('version %s'), $core->plugins->moduleInfo('dcmailchimp', 'version'));?></li>
        <li><?php echo __('Created by');?> : <a href="http://twitter.com/#!/footcow">Herve Piedvache</a></li>
        <li><a style="border:none;" href="http://www.mailchimp.com/"><img style="margin-top:20px;" src="index.php?pf=dcmailchimp/mailchimp.jpg" alt="<?php echo __('Powered by MailChimp');?>" title="<?php echo __('Powered by MailChimp');?>"/></a></li>
    </ul>
</div>

<?php
dcPage::helpBlock('dcmailchimp');
?>
</body>
</html>
